/*
 * $Id: dpm_constants.h,v 1.4 2005/02/17 11:15:45 baud Exp $
 */

/*
 * Copyright (C) 2004-2005 by CERN/IT/GD/CT
 * All rights reserved
 */

/*
 * @(#)$RCSfile: dpm_constants.h,v $ $Revision: 1.4 $ $Date: 2005/02/17 11:15:45 $ CERN IT-GD/CT Jean-Philippe Baud
 */

#ifndef _DPM_CONSTANTS_H
#define _DPM_CONSTANTS_H
#include "Castor_limits.h"

			/* Disk pool manager constants */

#define DPM_PORT	5015
#define DEFAULT_PUT_RETENP	86400
#define DEFAULT_SPACE_TYPE	'V'
#define DEFAULT_FSS_POLICY	"maxfreespace"
#define DEFAULT_GC_POLICY	"lru"
#define DEFAULT_RS_POLICY	"fifo"

			/* Filesystem statuses */

#define FS_DISABLED	1
#define FS_RDONLY	2

			/* File/Request statuses */

#define DPM_SUCCESS	00000
#define DPM_QUEUED	0x1000
#define DPM_ACTIVE	0x2000
#define DPM_READY	0x3000
#define DPM_RUNNING	0x4000
#define DPM_DONE	0x5000
#define DPM_FAILED	0x6000
#define DPM_ABORTED	0x7000
#define DPM_EXPIRED	0x8000
#define DPM_RELEASED	0x9000

			/* Long options for Disk pool manager utilities */

#define OPT_DEF_FSZ	0
#define OPT_FS		1
#define OPT_FS_SERVER	2
#define OPT_GC_POLICY	3
#define OPT_POOL_GID	4
#define OPT_POOL_GROUP	5
#define OPT_POOL_NAME	6
#define OPT_FSS_POLICY	7
#define OPT_RS_POLICY	8
#define OPT_S_TYPE	9
#define OPT_STATUS	10
#define OPT_DEF_PTIME	11
#define OPT_PUT_RETENP	12
#define OPT_GC_START	13
#define OPT_GC_STOP	14

			/* Disk pool manager utilities exit codes */

#define USERR	1	/* user error */
#define SYERR	2	/* system error */
#define CONFERR	4	/* configuration error */
#endif
